ZiPhone 2.5 out!

Discussion in 'iPod touch 1.1.4 Jailbreak' started by MrBrightside, Feb 29, 2008.

  1. MrBrightside

    MrBrightside Active Member

    Joined:
    Dec 16, 2007
    Messages:
    1,996
    Likes Received:
    18
    ZiPhone 2.5 is now on download site for
    you all to enjoy.
    I decided to release it for everyone since MANY
    are helping supporting sponsors.
    And it would not have been fair to them.
    I suggest you to do a restore to 1.1.4
    not an update. Because installer keeps old
    installed apps in it's cache and you would have problems.
    Hoping people at conceited software resolve that soon.
    After restore to 1.1.4, just use "ziphone -Z Y" or the first
    button on GUI versions.

    Have fun !
    And thanks to everyone for supporting and caring!

    Stay tuned ! More interesting things are coming up on this site!

    Namaste!
    Zibri.


    Gunna try it now!
  2. daleski75

    daleski75 New Member

    Joined:
    Feb 14, 2008
    Messages:
    5
    Likes Received:
    0
    I've just tried it on my 16gb iPod Touch and still get the same BSD error, roll on version 2.6!!
  3. MrBrightside

    MrBrightside Active Member

    Joined:
    Dec 16, 2007
    Messages:
    1,996
    Likes Received:
    18
    Useless. I got 16b Touch myself so I'll give it a go but doesnt look good
  4. jd-08

    jd-08 New Member

    Joined:
    Oct 3, 2007
    Messages:
    32
    Likes Received:
    0
    Same error (I have a 16GB as well...).. Tried a clean "restore" - then a JB as well....

    Back to 1.1.3...

    Please Register or Log in to view images

  5. Xtra

    Xtra New Member

    Joined:
    Feb 24, 2008
    Messages:
    15
    Likes Received:
    0
    Didnt Work

    Didnt work on my Ipod Touch 16gb either, it's 2 months old, so it's pretty new. I just dont get how it could be working on a 8gb but not a 16gb. O well this is an amazing app so keep up the good work!
  6. MrBrightside

    MrBrightside Active Member

    Joined:
    Dec 16, 2007
    Messages:
    1,996
    Likes Received:
    18
    Yup same error. Nice one Zibri (Y)
  7. ruhatch

    ruhatch Guest

    damn it happened again same stupid error what's the point of the new version?!!
  8. Ezra

    Ezra Well-Known Member

    Joined:
    Feb 23, 2008
    Messages:
    1,122
    Likes Received:
    41
    Device:
    iPhone
    Same error 16g touch!

    Zirbi F***** up again!

    back to 1.1.1........
  9. daleski75

    daleski75 New Member

    Joined:
    Feb 14, 2008
    Messages:
    5
    Likes Received:
    0
    I am waiting for the new version to come out from www.ijailbreak.com to see if this works for my 16gb Touch...

    Guessing now that if it works on a 16gb iPhone it *should* work on the 16gb Touch yeah? or am I talking crap!!

    Would be good to see if anyone here is succeeds to JB their 16gb Touch!
  10. anubis2night

    anubis2night New Member

    Joined:
    Feb 17, 2008
    Messages:
    170
    Likes Received:
    1
    I wouldn't hold my breath,this version doesn't support 16 - 32 bit phones in fact it's kinda useless since we already know that the old version works on 1.1.4 for 8gb touches and phones. I'm still waiting for the Zi Touch to come out but since we haven't heard anything about that for a while I'm guessing that it won't be out for a while, if ever. And after hearing Skyler's comments before I'm wondering just how much of Ziphone this Zibri guy initially did. If what Skyler says is true (and there's no reason to doubt him) then we may never see a version for touches 16 - 32.

Share This Page